×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Aug 2004
    Posts
    39

    Failed to load module

    When I start w.Connector, the following error is reported:

    c:\\sys\\bin\\httpds.exe module 'MyModule/src/MyModule.cpp'is not compatible with this version of Apache(Found 20056699, need 20020903).

    In this module, I used a static library which was written in OpenC. But if I removed all references of this static library, the module works fine. In addition, I used Raccoon_0_9_2_3rdEd_SDK.

    Could anyone tell me what's the reason of this problem?
    Last edited by csavages; 2007-11-29 at 05:28.

  2. #2
    Nokia Developer Expert
    Join Date
    Mar 2003
    Posts
    457

    Re: Failed to load module

    Quote Originally Posted by csavages View Post
    Could anyone tell me what's the reason of this problem?
    Do you have an explicit def-file or do you use EXPORTUNFROZEN in your mmp-file?

    Johan

  3. #3
    Registered User
    Join Date
    Aug 2004
    Posts
    39

    Re: Failed to load module

    Yes, I did have a .def file. Following is its content.

    EXPORTS
    ap_lookup_symbol @ 1 NONAME

  4. #4
    Nokia Developer Expert
    Join Date
    Mar 2003
    Posts
    457

    Re: Failed to load module

    Quote Originally Posted by csavages View Post
    Yes, I did have a .def file. Following is its content.

    EXPORTS
    ap_lookup_symbol @ 1 NONAME
    No problem there.

    Could you have multiple Apache sources installed, so that the macro MODULE_MAGIC_NUMBER_MAJOR is picked up from the wrong place? Please check what value that macro has in the file ap_mmn.h. It should be 20020903.

    If it is, then chances are you also have another (newer) Apache installation in your computer and its include paths are before Raccoon's include paths in your module mmp-file. Perhaps a long shot, but it would explain the behaviour.

    Johan

Similar Threads

  1. On phone debug: Load Failed
    By karlbaldwin in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 10
    Last Post: 2010-05-19, 15:53
  2. Carbide.j 1.5 and Netbeans 5.5 beta 2
    By ovjo12 in forum Mobile Java Tools & SDKs
    Replies: 5
    Last Post: 2007-06-11, 05:43
  3. S60 2nd to 3rd/ PlatformSecurity / Capabilities
    By jarkoos in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 4
    Last Post: 2007-04-14, 14:08
  4. image failed to load
    By killarkai in forum Mobile Java Media (Graphics & Sounds)
    Replies: 4
    Last Post: 2003-07-25, 13:07
  5. HAYES.TSY load failed
    By chinazou305 in forum Symbian
    Replies: 3
    Last Post: 2003-05-08, 09:11

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×